Bug 1418357 - Can't get separate mate-panel on Dual-head with X separate X screens
Summary: Can't get separate mate-panel on Dual-head with X separate X screens
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-panel
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 15:59 UTC by fab
Modified: 2017-08-08 19:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:37:10 UTC
Type: Bug


Attachments (Terms of Use)

Description fab 2017-02-01 15:59:58 UTC
Description of problem:

I've got two monitors plugged to the same Nvidia GPU and configured as two separate X screens. 
I prefer this setup to TwinView, because with TwinView the workspaces displayed on both monitors are tight together, while I'd like to be able to switch workspace on one monitor without changing the workspace displayed on the other monitor. Another reason is that TwinView is buggy with mate/compiz since some popup windows often does not display on the same screen than their parent application.

Anyway, when I start my X session with the two separate X screens setup, then I get everything normal on the main screen while the second screen shows two very annoying problems:
- The desktop seems broken: no wallpaper (black screen instead) and no right-click available.
- I get two mate-panels on top and on bottom of the second screen from which I can install a gnome menu. But when I start any application from this menu, it appears on the main monitor instead of the one where the panel is displayed. Since separate X screens does not allow to move windows between screens, those applications remain stucked on the main screen.



Version-Release number of selected component (if applicable):
mate-panel-1.16.0-1.fc24.x86_64
xorg-x11-server-Xorg-1.18.4-5.fc24.x86_64
compiz-0.8.12.3-1.fc24.x86_64

How reproducible:
Install two monitors and choose the "separate X screens setup" and login with mate.


Actual results:
Broken (black) desktop without right-click ability and mate-panels that launch applications only on the main screen instead of the actual screen where the panel is.



Expected results:
The two monitors should show working separate X sessions.


Additional info:

I have tried to launch a new mate-session with the --display="0.1" option. Even if this launches my cairo-dock on the second screen (from which I can start applications that will actually display on the right screen), this does not solve the mate-panel issue nor the broken desktop. Anyway, this does not appear to be a good idea, since it makes compiz getting high CPU usage and hangs after a few minutes.

I have also tried to launch a new mate-panel with the --display="0.1" option, but this does not work at all, arguing "Cannot register the panel shell: there is already one running."

Below is my xorg.conf:
# nvidia-settings: X configuration file generated by nvidia-settings
# nvidia-settings:  version 304.134  (buildmeister@swio-display-x64-rhel04-03)  Fri Dec  9 12:33:44 PST 2016

Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0" 1680 0
    Screen      1  "Screen1" LeftOf "Screen0"
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
    Option         "Xinerama" "0"
EndSection

Section "Files"
    FontPath        "/usr/share/fonts/default/Type1"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/input/mice"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Keyboard0"
    Driver         "keyboard"
EndSection

Section "Monitor"
    # HorizSync source: edid, VertRefresh source: edid
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "Samsung S22E450"
    HorizSync       30.0 - 81.0
    VertRefresh     56.0 - 75.0
    Option         "DPMS"
EndSection

Section "Monitor"
    # HorizSync source: edid, VertRefresh source: edid
    Identifier     "Monitor1"
    VendorName     "Unknown"
    ModelName      "Samsung SyncMaster"
    HorizSync       30.0 - 81.0
    VertRefresh     56.0 - 75.0
    Option         "DPMS"
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
    BoardName      "GeForce 9600 GT"
    BusID          "PCI:5:0:0"
    Screen          0
EndSection

Section "Device"
    Identifier     "Device1"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
    BoardName      "GeForce 9600 GT"
    BusID          "PCI:5:0:0"
    Screen          1
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    Option         "Stereo" "0"
    Option         "nvidiaXineramaInfoOrder" "DFP-0"
    Option         "metamodes" "DFP-0: nvidia-auto-select +0+0; DFP-0: nvidia-auto-select +0+0; DFP-0: 1600x900 +
0+0; DFP-0: 1440x900 +0+0; DFP-0: 1280x1024 +0+0; DFP-0: 1280x1024_60 +0+0; DFP-0: 1280x800 +0+0; DFP-0: 1280x720
 +0+0; DFP-0: 1280x720_50 +0+0; DFP-0: 1152x864 +0+0; DFP-0: 1024x768 +0+0; DFP-0: 1024x768_70 +0+0; DFP-0: 1024x
768_60 +0+0; DFP-0: 800x600 +0+0; DFP-0: 800x600_72 +0+0; DFP-0: 800x600_60 +0+0; DFP-0: 800x600_56 +0+0; DFP-0: 
720x576 +0+0; DFP-0: 720x480 +0+0; DFP-0: 640x480 +0+0; DFP-0: 640x480_72 +0+0; DFP-0: 640x480_60 +0+0; DFP-0: nv
idia-auto-select +0+0; DFP-0: nvidia-auto-select +0+0; DFP-0: nvidia-auto-select +0+0"
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection

Section "Screen"
    Identifier     "Screen1"
    Device         "Device1"
    Monitor        "Monitor1"
    DefaultDepth    24
    Option         "Stereo" "0"
    Option         "metamodes" "DFP-1: nvidia-auto-select +0+0"
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection

Comment 1 fab 2017-02-01 16:13:08 UTC
I've found that a 'killall -9 caja' after 'mate-session -display="0.1"'would actually solve the broken desktop issue without making compiz hang.

However, there are still two problems:
- the panels still don't work properly, event after a 'killall -9 mate-panel'
- all my desktop icons went to the second monitor, but I would like to keep them on the main monitor (or at least to have them on both monitors) since I will keep the second one often switched off. I've currently found no way to move these icons between the two screens.

Comment 2 fab 2017-02-02 08:42:21 UTC
Actually, I'm not able to do the killall -9 caja trick again... It seems it do not work anymore. Can't remember what ever action I did that made it possible.

Comment 3 fab 2017-02-19 10:35:43 UTC
Additional info: the bug seems also to apply to applications launched from caja:

How reproducible:
Launch caja on the secondary monitor from a terminal.
Open any document by clicking on a file with caja.


Actual results:
The corresponding application that reads the file always opens on the main monitor, wherever is the caja window.


Expected results:
The application should appear on the same monitor that the caja window where it was launched from.

Comment 4 Fedora End Of Life 2017-07-26 00:13:45 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 19:37:10 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.